List variants
curl --request GET \
--url https://app.solya.app/api/variants \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/variants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.solya.app/api/variants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.solya.app/api/variants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.solya.app/api/variants")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.solya.app/api/variants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"brandId": "brand-uuid-adidas",
"brandName": "Adidas",
"collectionId": "collection-uuid-ss24",
"costPrice": 42,
"displayName": "Superstar Black EU42",
"fullName": "Adidas Superstar — Black/White — EU 42",
"grossMarginPct": 53.3,
"id": "variant-uuid-001",
"isActive": true,
"productId": "product-uuid-001",
"productName": "Adidas Superstar",
"retailPrice": 89.95,
"sku": "ADI-SUPERSTAR-BLK-42"
},
{
"brandId": "brand-uuid-nike",
"brandName": "Nike",
"collectionId": "collection-uuid-ss24",
"costPrice": 50,
"displayName": "Air Force 1 White EU41",
"fullName": "Nike Air Force 1 — White — EU 41",
"grossMarginPct": 54.5,
"id": "variant-uuid-002",
"isActive": true,
"productId": "product-uuid-002",
"productName": "Nike Air Force 1",
"retailPrice": 109.95,
"sku": "NKE-AF1-WHT-41"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 248
}
}Variants
List variants
Returns a paginated list of product variants with optional filters by brand, supplier, product, and collection. Includes per-unit pricing data (average selling price, average per-unit cost of goods sold, gross margin percentage) when available.
GET
/
api
/
variants
List variants
curl --request GET \
--url https://app.solya.app/api/variants \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/variants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.solya.app/api/variants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.solya.app/api/variants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.solya.app/api/variants")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.solya.app/api/variants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"brandId": "brand-uuid-adidas",
"brandName": "Adidas",
"collectionId": "collection-uuid-ss24",
"costPrice": 42,
"displayName": "Superstar Black EU42",
"fullName": "Adidas Superstar — Black/White — EU 42",
"grossMarginPct": 53.3,
"id": "variant-uuid-001",
"isActive": true,
"productId": "product-uuid-001",
"productName": "Adidas Superstar",
"retailPrice": 89.95,
"sku": "ADI-SUPERSTAR-BLK-42"
},
{
"brandId": "brand-uuid-nike",
"brandName": "Nike",
"collectionId": "collection-uuid-ss24",
"costPrice": 50,
"displayName": "Air Force 1 White EU41",
"fullName": "Nike Air Force 1 — White — EU 41",
"grossMarginPct": 54.5,
"id": "variant-uuid-002",
"isActive": true,
"productId": "product-uuid-002",
"productName": "Nike Air Force 1",
"retailPrice": 109.95,
"sku": "NKE-AF1-WHT-41"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 248
}
}Authorizations
User session token issued by NextAuth. For human users accessing Solya via the web application.
Query Parameters
Page number, 1-indexed (default: 1)
Required range:
1 <= x <= 9007199254740991Number of items per page, max 100 (default: 20)
Required range:
1 <= x <= 100Case-insensitive substring search query
Filter by brand UUID
Filter by supplier UUID
Filter by product UUID
Filter by collection UUID

